unit RBCurU;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, RGroup, DBCtrls, Db, DBTables;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    NewRadioGroup1: TNewRadioGroup;
    DataSource1: TDataSource;
    Table1: TTable;
    DBRadioGroup1: TDBRadioGroup;
    DBNewRadioGroup1: TDBNewRadioGroup;
    DBNavigator1: TDBNavigator;
    DBText1: TDBText;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure SetRadioGroupCursor(RG: TCustomRadioGroup; Cur: TCursor);
var
  Loop: Integer;
begin
  with RG do
  begin
    { Set Cursor property of the radio group itself... }
    Cursor := Cur;
    { ...and then loop through the radio buttons themselves }
    for Loop := 0 to ControlCount - 1 do
      if Controls[Loop] is TRadioButton then
        TRadioButton(Controls[Loop]).Cursor := Cur
  end
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  { Set Cursor property of radio buttons in radio group }
  SetRadioGroupCursor(RadioGroup1, crDrag);
  { Set Cursor property of radio buttons in db radio group }
  SetRadioGroupCursor(DBRadioGroup1, crSQLWait);
  { Set Cursor property of new component }
  NewRadioGroup1.Cursor := crDrag;
  DBNewRadioGroup1.Cursor := crSQLWait
end;

end.
