program REPORT;
uses
  DB, DBTables;
begin
  with TTable.Create(nil) do
  try
    Active := False;
    TableType := ttParadox;
    TableName := 'REPORT.DB';
    with FieldDefs do
    begin
      Clear;
      begin
        Add('Report', ftInteger, 0, TRUE)
      end;

      Add('ReportDate', ftDate, 0, FALSE);
      Add('ReportedBy', ftString, 30, FALSE);
      Add('ReportStatus', ftString, 16, FALSE);

      Add('ReportSystem', ftString, 30, FALSE);
      Add('ReportProblem', ftString, 30, FALSE);
      Add('ReportPriority', ftString, 16, FALSE);

      Add('ReportSummary', ftString, 255, FALSE);
      Add('ReportSeeAlso', ftString, 16, FALSE);

      Add('ReportComments', ftMemo, 1, FALSE);

      Add('FixDate', ftDate, 0, FALSE);
      Add('FixedBy', ftString, 30, FALSE);
      Add('FixStatus', ftString, 16, FALSE);

      Add('FixComments', ftMemo, 1, FALSE)
    end;
    with IndexDefs do
    begin
      Clear;
      Add('', 'Report', [ixPrimary,ixUnique])
    end;
    CreateTable
  finally
    Free
  end
end.
